# include <stdio.h>
# include <string>
# include <iostream>
# include <cstdio>
# include <cstdlib>
# include <string>
# include <vector>

using namespace std;

vector<string> split(string & s, const char & c) {
	string buffer { "" };

   	vector<string> resultado;
	
    for (char caractere : s) {
		if (caractere != c) {
			buffer += caractere;
    	} else {
		    resultado.push_back(buffer);
    	    buffer = "";
		}
	}
	if (buffer != "")
		resultado.push_back(buffer);
	
    return resultado;
}

int main() {

    string linha;
    string msg="";
    int s, num;
    
    while (true)
    {
        getline(cin, linha);
        if(linha == "0")
        {
            break;
        }
   
        vector<string> temp = split(linha,  ' ');
       
        s = atoi(temp[0].c_str());
        num = atoi(temp[1].c_str());
     
        int salas[s];
        
        for(int x=0;x<s;x++){
            salas[x] = 0;
        }
   
        for(int x = 0; x < num; x++)
        {
            
            getline(cin, linha);

            int n = atoi(linha.c_str());

            for(int y = 0; y < s; y++)
            {
                if ((y+1)%n==0)
                {
                    if (salas[y] == 0)
                    {
                        salas[y] = 1;
                    }    
                    else{
                        salas[y] = 0;
                    }
                }
            }
        }            
        for(int x=0;x<s;x++){
            if(salas[x]==0)
            {
                msg = msg + "D";
            }
            else
            {
                msg = msg + "L";
            }
        }      
        cout << msg+"\n";

        msg="";
    }        
 
    return 0;
}